org.apache.ignite.internal.visor.baseline

## Class VisorBaselineAutoAdjustSettings

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.baseline.VisorBaselineAutoAdjustSettings

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorBaselineAutoAdjustSettings
    extends VisorDataTransferObject

See Also:
  Serialized Form

### Field Summary

Fields
`Boolean` `enabled` "Enable" flag.
`Long` `softTimeout` Soft timeout.

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4, V5`

### Constructor Summary

Constructors
Constructor and Description
`VisorBaselineAutoAdjustSettings()` Default constructor.
`VisorBaselineAutoAdjustSettings(Boolean enabled, Long softTimeout)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Boolean` `getEnabled()`
`Long` `getSoftTimeout()` Soft timeout.
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### enabled

    public Boolean enabled

"Enable" flag.

#### softTimeout

    public Long softTimeout

Soft timeout.

### Constructor Detail

#### VisorBaselineAutoAdjustSettings

    public VisorBaselineAutoAdjustSettings()

Default constructor.

#### VisorBaselineAutoAdjustSettings

    public VisorBaselineAutoAdjustSettings(Boolean enabled,
                                           Long softTimeout)

Constructor.

### Method Detail

#### getEnabled

    public Boolean getEnabled()

Returns:
  "Enable" flag.

#### getSoftTimeout

    public Long getSoftTimeout()

Soft timeout.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022